aboutsummaryrefslogtreecommitdiffstats
path: root/x11/libXdamage/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-02-19 21:18:48 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-02-19 21:18:48 +0000
commitd6fc4e39a571d53bb03971270a1902eba00e778f (patch)
treedeb683a48d21e97a26d35056fe44cb472841a213 /x11/libXdamage/APKBUILD
parentfd26a989f345425fe87fca1e212858ce7b29980e (diff)
downloadaports-d6fc4e39a571d53bb03971270a1902eba00e778f.tar.gz
aports-d6fc4e39a571d53bb03971270a1902eba00e778f.tar.bz2
aports-d6fc4e39a571d53bb03971270a1902eba00e778f.tar.xz
x11/libXdamage: new aport
X11 damaged region extension library
Diffstat (limited to 'x11/libXdamage/APKBUILD')
-rw-r--r--x11/libXdamage/APKBUILD21
1 files changed, 21 insertions, 0 deletions
diff --git a/x11/libXdamage/APKBUILD b/x11/libXdamage/APKBUILD
new file mode 100644
index 0000000000..8557566f87
--- /dev/null
+++ b/x11/libXdamage/APKBUILD
@@ -0,0 +1,21 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libxdamage
+pkgver=1.1.1
+pkgrel=0
+pkgdesc="X11 damaged region extension library"
+url="http://xorg.freedesktop.org/"
+license="custom"
+depends="libXfixes uclibc"
+makedepends="pkgconfig libXfixes-dev damageproto xextproto"
+subpackages="$pkgname-dev"
+source="http://xorg.freedesktop.org//releases/individual/lib/libXdamage-$pkgver.tar.bz2"
+
+depends_dev="xproto damageproto libXfixes-dev libX11-dev fixesproto"
+build ()
+{
+ cd "$srcdir"/libXdamage-$pkgver
+ ./configure --prefix=/usr --sysconfdir=/etc
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="ac0ce6b0063a9858c8f24ddb4c60487d libXdamage-1.1.1.tar.bz2"